/* Sticky footer: header + .entry-content + footer */
.wp-site-blocks {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
}

/* La parte centrale si espande e spinge il footer in basso */
.wp-site-blocks .entry-content {
  flex: 1;
}

/* Default: all content within content width */
.wp-block-post-content > * {
	max-width: var(--wp--style--global--content-size);
	margin-left: auto;
	margin-right: auto;
	padding-right: var(--wp--style--root--padding-right);
	padding-left: var(--wp--style--root--padding-left);
}

/* Wide: use wide-size */
.wp-block-post-content > .alignwide {
	max-width: var(--wp--style--global--wide-size);
}

/* Full: full-bleed  */
.wp-block-post-content > .alignfull {
	max-width: none;
	width: 100vw;
	margin-left: calc(50% - 50vw);
	margin-right: calc(50% - 50vw);
	padding-left: 0;
	padding-right: 0;
}

/* media and text break point for stacking */
@media (max-width: 865px) {
	.wp-block-media-text.is-stacked-on-mobile {
		grid-template-columns: 100% !important;
	}

	.wp-block-media-text.is-stacked-on-mobile>.wp-block-media-text__media {
		grid-column: 1;
		grid-row: 1;
	}

	.wp-block-media-text.is-stacked-on-mobile>.wp-block-media-text__content {
		grid-column: 1;
		grid-row: 2;
	}

}